import 'package:darshan_linear_graph/models/models.dart';
import 'package:flutter/material.dart';

import 'chart_painter.dart';

class PloatingPoints {
  final double points;
  final DateTime time;

  PloatingPoints(this.points, this.time);
}

class DarshanLinearGraph extends StatefulWidget {
  final List<double> yAxisValueList;
  final List<String> xAxisLabelList;
  final Color bgColor, lineColor;
  final bool isUpToDown;
  // final GraphDirection graphDirection;

  const DarshanLinearGraph(
      {Key? key,
      required this.yAxisValueList,
      required this.xAxisLabelList,
      this.bgColor = Colors.white,
      this.lineColor = Colors.purple, 
      this.isUpToDown = false, 

      // this.graphDirection = GraphDirection.downToUp
      })
      : super(key: key);

  @override
  _DarshanLinearGraphState createState() => _DarshanLinearGraphState();
}

class _DarshanLinearGraphState extends State<DarshanLinearGraph> {
  late double _min, _max;
  @override
  void initState() {
    // time = 2;

    double min = double.maxFinite;
    double max = -double.maxFinite;
     if (widget.yAxisValueList.length > 1) {
      for (var val in widget.yAxisValueList) {
        min = val < min ? val : min;
        max = val > max ? val : max;
      }
    }
    else if (widget.yAxisValueList.length == 0) {
      return;
    } else {
      min = widget.yAxisValueList[0] - 5;
      max = widget.yAxisValueList[0] + 5;
    }
    setState(() {
      _min = min;
      _max = max;
    });
   

    super.initState();
  }

  @override
  Widget build(BuildContext context) {
    return Container(
      // color:  Colors.red,
      child: CustomPaint(
        child: Container(),
        painter: ChartPainter(
            x: widget.xAxisLabelList,
            y: widget.yAxisValueList,
            min: _min,
            max: _max,
            bgColor: widget.bgColor,
            lineColor: widget.lineColor,
            graphDirection:widget.isUpToDown?GraphDirection.upToDown : GraphDirection.downToUp),
      ),
    );
  }
}
